/* Promotions CTA Button (isolated) */
.promo-page__cta {
  --h-button: 48px;
  --round: 0.75rem;

  cursor: pointer;
  position: relative;

  display: flex;
  align-items: center;
  justify-content: center;

  width: 100%;
  height: var(--h-button);
  max-height: var(--h-button);

  overflow: hidden;
  transition: all 0.25s ease;



  border-radius: var(--round);
  border: none;
  outline: none;

  padding: 0 18px;
  box-sizing: border-box;
}

.promo-page__cta::before,
.promo-page__cta::after {
  content: "";
  position: absolute;
  inset: var(--space);
  transition: all 0.5s ease-in-out;
  border-radius: calc(var(--round) - var(--space));
  z-index: 0;
}

.promo-page__cta::before {
  --space: 1px;
  background: linear-gradient(
    177.95deg,
    rgba(255, 255, 255, 0.19) 0%,
    rgba(255, 255, 255, 0) 100%
  );
}

.promo-page__cta::after {
  --space: 2px;
    background: radial-gradient(50% 100% at 50% 100%, #F24AFD 0%, rgba(129, 19, 192, 0) 100%), #8113C0!important;
}

.promo-page__cta:active {
  transform: scale(0.95);
}

/* Fold */
.promo-page__fold {
  z-index: 1;
  position: absolute;
  top: 0;
  right: 0;
  height: 1rem;
  width: 1rem;
  display: inline-block;
  transition: all 0.5s ease-in-out;

  background: radial-gradient(
    100% 75% at 55%,
    rgba(223, 113, 255, 0.8) 0%,
    rgba(223, 113, 255, 0) 100%
  );

  box-shadow: 0 0 3px black;
  border-bottom-left-radius: 0.5rem;
  border-top-right-radius: var(--round);
}

.promo-page__fold::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 150%;
  height: 150%;
  transform: rotate(45deg) translateX(0%) translateY(-18px);
  background-color: #e8e8e8;
  pointer-events: none;
}

.promo-page__cta:hover .promo-page__fold {
  margin-top: -1rem;
  margin-right: -1rem;
}

/* Points */
.promo-page__points {
  overflow: hidden;
  width: 100%;
  height: 100%;
  pointer-events: none;
  position: absolute;
  z-index: 1;
}

.promo-page__points .point {
  bottom: -10px;
  position: absolute;
  animation: promo-floating-points infinite ease-in-out;
  pointer-events: none;
  width: 2px;
  height: 2px;
  background-color: #fff;
  border-radius: 9999px;
}

@keyframes promo-floating-points {
  0% { transform: translateY(0); }
  85% { opacity: 0; }
  100% { transform: translateY(-55px); opacity: 0; }
}

.promo-page__points .point:nth-child(1)  { left: 10%; opacity: 1;   animation-duration: 2.35s; animation-delay: 0.2s; }
.promo-page__points .point:nth-child(2)  { left: 30%; opacity: 0.7; animation-duration: 2.5s;  animation-delay: 0.5s; }
.promo-page__points .point:nth-child(3)  { left: 25%; opacity: 0.8; animation-duration: 2.2s;  animation-delay: 0.1s; }
.promo-page__points .point:nth-child(4)  { left: 44%; opacity: 0.6; animation-duration: 2.05s; }
.promo-page__points .point:nth-child(5)  { left: 50%; opacity: 1;   animation-duration: 1.9s; }
.promo-page__points .point:nth-child(6)  { left: 75%; opacity: 0.5; animation-duration: 1.5s;  animation-delay: 1.5s; }
.promo-page__points .point:nth-child(7)  { left: 88%; opacity: 0.9; animation-duration: 2.2s;  animation-delay: 0.2s; }
.promo-page__points .point:nth-child(8)  { left: 58%; opacity: 0.8; animation-duration: 2.25s; animation-delay: 0.2s; }
.promo-page__points .point:nth-child(9)  { left: 98%; opacity: 0.6; animation-duration: 2.6s;  animation-delay: 0.1s; }
.promo-page__points .point:nth-child(10) { left: 65%; opacity: 1;   animation-duration: 2.5s;  animation-delay: 0.2s; }

/* Inner */
.promo-page__inner {
  z-index: 2;
  gap: 6px;
  position: relative;
  width: 100%;

  color: white;
  display: inline-flex;
  align-items: center;
  justify-content: center;

  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;

  transition: color 0.2s ease-in-out;
}

.promo-page__inner svg.promo-page__icon {
  width: 18px;
  height: 18px;
  transition: fill 0.1s linear;
}

.promo-page__cta:focus svg.promo-page__icon {
  fill: white;
}

.promo-page__cta:hover svg.promo-page__icon {
  fill: transparent;
  animation:
    promo-dasharray 1s linear forwards,
    promo-filled 0.1s linear forwards 0.95s;
}

@keyframes promo-dasharray {
  from { stroke-dasharray: 0 0 0 0; }
  to   { stroke-dasharray: 68 68 0 0; }
}

@keyframes promo-filled {
  to { fill: white; }
}